## pandoc 1.10.1

=== debian/changelog ===
pandoc (1.10.1-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix syntax for public-domain files.
    + Fix drop Files section for no longer shipped BSD-3-clause licensed
      files.
    + Extend coverage of main copyright holder.
  * Drop patches: All applied upstream.
  * Update long descriptions base on upstream README.
  * Drop configure flag blaze_html_0_5: Now enabled dy default.
  * Reorder *-doc build-dependencies to match *-dev ones.
  * Update package relations:
    + (Build-)depend on GHC packages data-default and (not only *-doc)
      text: Needed since 1.10.
    + Stop (build-)depending on GHC packages utf8-string: Unneeded since
      1.10.
    + Tighten build-dependencies on GHC packages citeproc-hs,
      pandoc-types, diff, test-framework, test-framework-hunit,
      test-framework-quickcheck2 and template-haskell: Needed since
      1.10.
    + Stop build-depending on GHC -doc package xhtml: Unused since
      1.9.1.1.
    + Stop build-depending on GHC -doc package diff: Seemingly never
      actually used.
    + Build-depend on GHC -doc packages rts and utf8-string: Seemingly
      needed (even if undeclared).
    + Relax (build-dependencies on GHC packages ansi-terminal: Changed
      since 1.10.1.
  * Shrink README.source to simply reference wiki page about used
    packaging style.
  * Suppress dist/ dir in gpb.conf, as workaround for upstream shipping
    dirty build dir.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Feb 2013 12:55:18 +0100

pandoc (1.9.4.5-2) experimental; urgency=low

  * Fix (build-)depend on *-extensible-exceptions-*: No longer part of
    GHC package.
  * Bump dephelper compatibility level to 8.
  * Unfuzz no-threaded-runtime patch.
  * Drop flag highlighting: Obsolete since 1.9.1.1.
  * Add flag blaze_html_0_5, bump and tighten (build-)dependency on
    *-blaze-html-*, and (build-)depend on *-blaze-markup-*
    (build-dependency changes was already applied in 1.9.4.5-1, but
    undocuemented and without the needed flag).
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
    + Strip bogus FIXME.
  * Revert a bunch of superfluous or wrong changes applied undocumented
    in 1.9.4.5-1.
  * Fix stop build-depending on libghc-binary-doc or
    libghc-testpack-doc: Apparently unused and not available for recent
    GHC (already applied in 1.9.4.5-1, but undocumented).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Dec 2012 01:37:31 +0100

pandoc (1.9.4.5-1) experimental; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Wed, 07 Nov 2012 15:01:31 -0500
