=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
 , Kiwamu Okabe <kiwamu@debian.or.jp>,
 , Clint Adams <clint@debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 ghc,
 libghc-parsec3-dev (<< 3.2),
 libghc-mtl-dev (<< 2.2),
 libghc-network-dev (<< 2.5),
 libghc-text-dev (>= 0.11),
 libghc-text-dev (<< 0.12),
 libghc-zip-archive-dev (<< 0.2),
 libghc-http-dev (<< 1:4000.3),
 libghc-texmath-dev (<< 0.7),
 libghc-xml-dev (<< 1.4),
 libghc-random-dev (<<1.1 ),
 libghc-extensible-exceptions-dev (<< 0.2),
 libghc-citeproc-hs-dev (>= 0.3.6),
 libghc-citeproc-hs-dev (<< 0.4),
 libghc-pandoc-types-dev (>= 1.10),
 libghc-pandoc-types-dev (<< 1.11),
 libghc-json-dev (<< 0.8),
 libghc-tagsoup-dev (<< 0.13),
 libghc-base64-bytestring-dev (<< 1.1),
 libghc-zlib-dev (<< 0.6),
 libghc-highlighting-kate-dev (>= 0.5.1),
 libghc-highlighting-kate-dev (<< 0.6),
 libghc-data-default-dev (>= 0.4),
 libghc-data-default-dev (<< 0.6),
 libghc-temporary-dev (<< 1.2),
 libghc-blaze-html-dev (>= 0.5),
 libghc-blaze-html-dev (<< 0.6),
 libghc-blaze-markup-dev (<< 0.6),
 libghc-syb-dev (<< 0.4),
 ghc-prof,
 libghc-parsec3-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-text-prof,
 libghc-zip-archive-prof,
 libghc-http-prof,
 libghc-texmath-prof,
 libghc-xml-prof,
 libghc-random-prof,
 libghc-extensible-exceptions-prof,
 libghc-citeproc-hs-prof,
 libghc-pandoc-types-prof,
 libghc-json-prof,
 libghc-tagsoup-prof,
 libghc-base64-bytestring-prof,
 libghc-zlib-prof,
 libghc-highlighting-kate-prof,
 libghc-data-default-prof,
 libghc-temporary-prof,
 libghc-blaze-html-prof,
 libghc-blaze-markup-prof,
 libghc-syb-prof,
 haskell-devscripts (>=0.5.12)
Build-Depends-Indep: ghc-doc
  , libghc-parsec3-doc
  , libghc-mtl-doc
  , libghc-network-doc
  , libghc-text-doc
  , libghc-zip-archive-doc
  , libghc-http-doc
  , libghc-texmath-doc
  , libghc-xml-doc
  , libghc-random-doc
  , libghc-extensible-exceptions-doc
  , libghc-citeproc-hs-doc
  , libghc-pandoc-types-doc
  , libghc-json-doc
  , libghc-tagsoup-doc
  , libghc-base64-bytestring-doc
  , libghc-zlib-doc
  , libghc-highlighting-kate-doc
  , libghc-data-default-doc
  , libghc-temporary-doc
  , libghc-blaze-html-doc
  , libghc-blaze-markup-doc
  , libghc-syb-doc
  , libghc-blaze-builder-doc
  , libghc-digest-doc
  , libghc-dlist-doc
  , libghc-hs-bibutils-doc
  , libghc-pcre-light-doc
  , libghc-transformers-doc
  , libghc-utf8-string-doc
Standards-Version: 3.9.4
Homepage: http://johnmacfarlane.net/pandoc/
Vcs-Git: git://git.debian.org/git/collab-maint/pandoc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pandoc.git
DM-Upload-Allowed: yes

Package: pandoc
Section: text
Architecture: any
Depends: ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) Textile, reStructuredText, HTML, LaTeX,
 MediaWiki markup, and DocBook XML; and it can write plain text,
 markdown, reStructuredText, XHTML, HTML 5, LaTeX (including beamer
 slide shows), ConTeXt, RTF, DocBook XML, OpenDocument XML, ODT, Word
 docx, GNU Texinfo, MediaWiki markup, EPUB (v2 or v3), FictionBook2,
 Textile, groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy,
 Slideous, DZSlides, or S5 HTML slide shows. It can also produce PDF
 output on systems where LaTeX is installed.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, fenced code blocks,
 superscript, subscript, strikeout, title blocks, automatic tables of
 contents, embedded LaTeX math, citations, and markdown inside HTML
 block elements.  (These enhancements can be disabled.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool.
 .
 PDF output via PDFLaTeX requires the package texlive-latex-recommended,
 via XeLaTeX it additionally requires texlive-xetex, and via LuaTeX
 additionally texlive-luatex.

Package: libghc-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${cdbs:Depends}
 , ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) Textile, reStructuredText, HTML, LaTeX,
 MediaWiki markup, and DocBook XML; and it can write plain text,
 markdown, reStructuredText, XHTML, HTML 5, LaTeX (including beamer
 slide shows), ConTeXt, RTF, DocBook XML, OpenDocument XML, ODT, Word
 docx, GNU Texinfo, MediaWiki markup, EPUB (v2 or v3), FictionBook2,
 Textile, groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy,
 Slideous, DZSlides, or S5 HTML slide shows. It can also produce PDF
 output on systems where LaTeX is installed.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, fenced code blocks,
 superscript, subscript, strikeout, title blocks, automatic tables of
 contents, embedded LaTeX math, citations, and markdown inside HTML
 block elements.  (These enhancements can be disabled.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) Textile, reStructuredText, HTML, LaTeX,
 MediaWiki markup, and DocBook XML; and it can write plain text,
 markdown, reStructuredText, XHTML, HTML 5, LaTeX (including beamer
 slide shows), ConTeXt, RTF, DocBook XML, OpenDocument XML, ODT, Word
 docx, GNU Texinfo, MediaWiki markup, EPUB (v2 or v3), FictionBook2,
 Textile, groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy,
 Slideous, DZSlides, or S5 HTML slide shows. It can also produce PDF
 output on systems where LaTeX is installed.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, fenced code blocks,
 superscript, subscript, strikeout, title blocks, automatic tables of
 contents, embedded LaTeX math, citations, and markdown inside HTML
 block elements.  (These enhancements can be disabled.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

Package: libghc-pandoc-prof
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) Textile, reStructuredText, HTML, LaTeX,
 MediaWiki markup, and DocBook XML; and it can write plain text,
 markdown, reStructuredText, XHTML, HTML 5, LaTeX (including beamer
 slide shows), ConTeXt, RTF, DocBook XML, OpenDocument XML, ODT, Word
 docx, GNU Texinfo, MediaWiki markup, EPUB (v2 or v3), FictionBook2,
 Textile, groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy,
 Slideous, DZSlides, or S5 HTML slide shows. It can also produce PDF
 output on systems where LaTeX is installed.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, fenced code blocks,
 superscript, subscript, strikeout, title blocks, automatic tables of
 contents, embedded LaTeX math, citations, and markdown inside HTML
 block elements.  (These enhancements can be disabled.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the profiling libraries for Pandoc.
