## pandoc 1.11.1

=== debian/changelog ===
pandoc (1.11.1-2build2) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jun 2013 21:03:32 +0100

pandoc (1.11.1-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 14:52:29 +0100

pandoc (1.11.1-2) unstable; urgency=low

  * Upload to unstable 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 00:41:12 +0200

pandoc (1.11.1-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Relax (currently unused) GHC build-dependency on quickcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Mar 2013 21:31:22 +0100

pandoc (1.11-1) experimental; urgency=low

  [ upstream ]
  * New release.

  * Update package relations:
    + Tighten (build-)dependencies on GHC packages zip-archive, texmath,
      citeproc-hs and highlighting-kate: Needed since 1.11.
    + Relax (build-)dependencies on GHC packages blaze-html and syb:
      Needed since 1.11.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Mar 2013 13:07:54 +0100
