=== debian/control ===
--- 
+++ 
@@ -15,13 +15,15 @@
  libghc-network-dev (<< 2.5),
  libghc-text-dev (>= 0.11),
  libghc-text-dev (<< 0.12),
+ libghc-zip-archive-dev (>= 0.1.3.3),
  libghc-zip-archive-dev (<< 0.2),
  libghc-http-dev (<< 1:4000.3),
+ libghc-texmath-dev (>= 0.6.1.3),
  libghc-texmath-dev (<< 0.7),
  libghc-xml-dev (<< 1.4),
  libghc-random-dev (<<1.1 ),
  libghc-extensible-exceptions-dev (<< 0.2),
- libghc-citeproc-hs-dev (>= 0.3.6),
+ libghc-citeproc-hs-dev (>= 0.3.7),
  libghc-citeproc-hs-dev (<< 0.4),
  libghc-pandoc-types-dev (>= 1.10),
  libghc-pandoc-types-dev (<< 1.11),
@@ -29,15 +31,15 @@
  libghc-tagsoup-dev (<< 0.13),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-zlib-dev (<< 0.6),
- libghc-highlighting-kate-dev (>= 0.5.1),
+ libghc-highlighting-kate-dev (>= 0.5.3.7),
  libghc-highlighting-kate-dev (<< 0.6),
  libghc-data-default-dev (>= 0.4),
  libghc-data-default-dev (<< 0.6),
  libghc-temporary-dev (<< 1.2),
  libghc-blaze-html-dev (>= 0.5),
- libghc-blaze-html-dev (<< 0.6),
+ libghc-blaze-html-dev (<< 0.7),
  libghc-blaze-markup-dev (<< 0.6),
- libghc-syb-dev (<< 0.4),
+ libghc-syb-dev (<< 0.5),
  ghc-prof,
  libghc-parsec3-prof,
  libghc-mtl-prof,
