=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 abi = $(DEB_UPSTREAM_TARBALL_VERSION)
 
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = ce6f193499e2e694c3df2290f03448ed
+DEB_UPSTREAM_TARBALL_MD5 = e895b22745affba37c0ba5e6e6d0f17c
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(gif|jpg|odt)|debian/(changelog|copyright(|_hints|_newhints))$
 
@@ -57,32 +57,32 @@
 deps-ghc += mtl,<<,2.2
 deps-ghc += network,<<,2.5
 deps-ghc += text,>=,0.11,<<,0.12
-deps-ghc += zip-archive,<<,0.2
+deps-ghc += zip-archive,>=,0.1.3.3,<<,0.2
 deps-ghc += http,<<,1:4000.3
-deps-ghc += texmath,<<,0.7
+deps-ghc += texmath,>=,0.6.1.3,<<,0.7
 deps-ghc += xml,<<,1.4
 deps-ghc += random,<<1.1
 deps-ghc += extensible-exceptions,<<,0.2
-deps-ghc += citeproc-hs,>=,0.3.6,<<,0.4
+deps-ghc += citeproc-hs,>=,0.3.7,<<,0.4
 deps-ghc += pandoc-types,>=,1.10,<<,1.11
 deps-ghc += json,<<,0.8
 deps-ghc += tagsoup,<<,0.13
 deps-ghc += base64-bytestring,<<,1.1
 deps-ghc += zlib,<<,0.6
-deps-ghc += highlighting-kate,>=,0.5.1,<<,0.6
+deps-ghc += highlighting-kate,>=,0.5.3.7,<<,0.6
 deps-ghc += data-default,>=,0.4,<<,0.6
 deps-ghc += temporary,<<,1.2
-deps-ghc += blaze-html,>=,0.5,<<,0.6
+deps-ghc += blaze-html,>=,0.5,<<,0.7
 deps-ghc += blaze-markup,<<,0.6
 # Should be safe to drop versioning for Squeeze
-deps-ghc += syb,<<,0.4
+deps-ghc += syb,<<,0.5
 
 # Haskell dependencies for testsuite from pandoc.cabal
 deps-ghc-test += diff,>=,0.2,<<,0.3
 deps-ghc-test += test-framework,<<,0.9
 deps-ghc-test += test-framework-hunit,<<,0.4
 deps-ghc-test += test-framework-quickcheck2,<<,0.4
-deps-ghc-test += quickcheck,<<,2.6
+deps-ghc-test += quickcheck,<<,2.7
 deps-ghc-test += hunit,<<,1.3
 deps-ghc-test += template-haskell,<<,2.9
 deps-ghc-test += ansi-terminal,<<,0.7
