## pandoc 1.12.2.1

=== debian/changelog ===
pandoc (1.12.2.1-1build2) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Feb 2014 15:03:58 +0000

pandoc (1.12.2.1-1build1) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Jan 2014 15:07:41 +0000

pandoc (1.12.2.1-1) unstable; urgency=low

  [ upstream ]
  * New release.
    Closes: bug#724636, #731391.

  [ Jonas Smedegaard ]
  * Fix use relative symlink to S5 data files.
  * Update upstream source URL and use TLS (https), in watch file,
    copyright file and CDBS hints in rules file.
    Mangle ~dfsg suffix in watch file.
  * Update long description based on upstream cabal file (seems more
    accurate than upstream README), additionally mentioning PDF
    renderings of LaTeX and GNU Texinfo writer.
  * Add NEWS file with entry on behavior changes, referring to upstream
    changelog for details.
  * Update package relations:
    + Build-depend on alex and happy.
    + Suggest (not yet packaged) pandoc-citeproc.
    + Stop depending on libghc-citeproc-hs-data.
    + Add GHC (build-)dependencies on unordered-containers, aeson (and
      not json), attoparsec, yaml, hslua, http-conduit, http-types and
      text.
    + Tighten GHC (build-)dependencies on texmath, pandoc-types, tagsoup
      and highlighting-kate.
    + Drop GHC (build-)dependencies on citeproc-hs.
  * Repackage upstream source to avoid minified LaTeXMathML.js code.
    Closes: bug#721417. Thanks to Luca Falavigna.
  * Add patch 1001 to use online LaTeXMathML.js by default.
  * Add patch 2001 to avoid dropped files during build.
  * Update copyright file:
    + Stop covering slide show and LaTeXMathML Javascript code: No
      longer shipped.
    + Cover new Haddock reader: partly BSD-2-clause partly GPL-2+
      licensed.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Dec 2013 14:10:47 +0100

pandoc (1.11.1-5) unstable; urgency=low

  * Have pandoc depend on (not recommend) pandoc-data.
    Closes: bug#724102. Thanks to David Suárez and others involved.
  * Drop bogus note for backporters in changelog entry for 1.11.1-4.
    (note to self: never write notes here, always use README.Debian!).
  * Have pandoc-data symlink and depend on separately packaged S5.
    Closes: bug#631848. Thanks to Clint Adams.
  * Bump standards-version to 3.9.5.
  * Update copyright file to document how Slidy is covered only by W3C
    software license (not also document license).
    Closes: bug#722134. Thanks to Francesco Poli.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Nov 2013 16:09:01 +0100

pandoc (1.11.1-4) unstable; urgency=low

  * Drop superfluous control file Section declaration.
  * Fix reference to GHC 6 in long description.
  * Introduce new binary-all package pandoc-data.
    Closes: bug#697306. Thanks to Joachim Breitner.
  * Add symlink to unversioned datadir when versioned, to ease
    backporting.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2013 22:29:13 +0200

pandoc (1.11.1-3) unstable; urgency=low

  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Fix extend short descriptions to make each unique.
  * Drop obsolete DM-Upload-Allowed hint.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Add git URL as alternate source.
  * Fix register documentation with doc-base (broken since ghc6→ghc
    transition).
  * List upstream issue tracker as preferred contact.
  * Stop tracking md5sum of upstream tarball.
  * Fix strip double comma in control file Uploaders field.
    Thanks to Louis Bettens.
  * Drop Haskell cleanup workaround, unneeded for ages (see bug#576447).
    Thanks to Louis Bettens.
  * Handle datadir install in rules file (not using install.in file.
  * Fix resolve datadir at build time, to work with haskell-devscripts
    0.8.19 and newer, while being backports-friendly.
    Thanks to Louis Bettens.
  * Build-depend unversioned on haskell-devscripts: Needed version
    satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Aug 2013 19:27:06 +0200
