=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
 , Kiwamu Okabe <kiwamu@debian.or.jp>
 , Clint Adams <clint@debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 ghc,
 alex,
 happy,
 libghc-unordered-containers-dev (<< 3),
 libghc-parsec3-dev (<< 3.2),
 libghc-mtl-dev (<< 2.2),
 libghc-network-dev (<< 2.5),
 libghc-text-dev (<< 0.12),
 libghc-zip-archive-dev (>= 0.1.3.3),
 libghc-zip-archive-dev (<< 0.2),
 libghc-http-dev (<< 1:4000.3),
 libghc-texmath-dev (>= 0.6.5.2),
 libghc-texmath-dev (<< 0.7),
 libghc-xml-dev (<< 1.4),
 libghc-random-dev (<<1.1 ),
 libghc-extensible-exceptions-dev (<< 0.2),
 libghc-pandoc-types-dev (>= 1.12),
 libghc-pandoc-types-dev (<< 1.13),
 libghc-aeson-dev (<< 0.7),
 libghc-tagsoup-dev (<< 0.14),
 libghc-base64-bytestring-dev (<< 1.1),
 libghc-zlib-dev (<< 0.6),
 libghc-highlighting-kate-dev (>= 0.5.5),
 libghc-highlighting-kate-dev (<< 0.6),
 libghc-data-default-dev (>= 0.4),
 libghc-data-default-dev (<< 0.6),
 libghc-temporary-dev (<< 1.2),
 libghc-blaze-html-dev (>= 0.5),
 libghc-blaze-html-dev (<< 0.7),
 libghc-blaze-markup-dev (<< 0.6),
 libghc-attoparsec-dev (<< 0.11),
 libghc-yaml-dev (>= 0.8.3),
 libghc-yaml-dev (<< 0.9),
 libghc-hslua-dev (<< 0.4),
 libghc-http-conduit-dev (>= 1.9),
 libghc-http-conduit-dev (<< 1.10),
 libghc-http-types-dev (>= 0.8),
 libghc-http-types-dev (<< 0.9),
 libghc-text-dev (>= 0.11),
 libghc-text-dev (<< 0.12),
 libghc-syb-dev (<< 0.5),
 ghc-prof,
 libghc-unordered-containers-prof,
 libghc-parsec3-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-zip-archive-prof,
 libghc-http-prof,
 libghc-texmath-prof,
 libghc-xml-prof,
 libghc-random-prof,
 libghc-extensible-exceptions-prof,
 libghc-pandoc-types-prof,
 libghc-aeson-prof,
 libghc-tagsoup-prof,
 libghc-base64-bytestring-prof,
 libghc-zlib-prof,
 libghc-highlighting-kate-prof,
 libghc-data-default-prof,
 libghc-temporary-prof,
 libghc-blaze-html-prof,
 libghc-blaze-markup-prof,
 libghc-attoparsec-prof,
 libghc-yaml-prof,
 libghc-hslua-prof,
 libghc-http-conduit-prof,
 libghc-http-types-prof,
 libghc-text-prof,
 libghc-syb-prof,
 haskell-devscripts
Build-Depends-Indep: ghc-doc
  , libghc-unordered-containers-doc
  , libghc-parsec3-doc
  , libghc-mtl-doc
  , libghc-network-doc
  , libghc-text-doc
  , libghc-zip-archive-doc
  , libghc-http-doc
  , libghc-texmath-doc
  , libghc-xml-doc
  , libghc-random-doc
  , libghc-extensible-exceptions-doc
  , libghc-pandoc-types-doc
  , libghc-aeson-doc
  , libghc-tagsoup-doc
  , libghc-base64-bytestring-doc
  , libghc-zlib-doc
  , libghc-highlighting-kate-doc
  , libghc-data-default-doc
  , libghc-temporary-doc
  , libghc-blaze-html-doc
  , libghc-blaze-markup-doc
  , libghc-attoparsec-doc
  , libghc-yaml-doc
  , libghc-hslua-doc
  , libghc-http-conduit-doc
  , libghc-http-types-doc
  , libghc-text-doc
  , libghc-syb-doc
  , libghc-blaze-builder-doc
  , libghc-digest-doc
  , libghc-dlist-doc
  , libghc-hs-bibutils-doc
  , libghc-pcre-light-doc
  , libghc-transformers-doc
  , libghc-utf8-string-doc
Standards-Version: 3.9.5
Homepage: http://johnmacfarlane.net/pandoc/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/pandoc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pandoc.git

Package: pandoc
Architecture: any
Depends: ${cdbs:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook,
 MediaWiki markup, Haddock markup, OPML, and Textile, and it can write
 markdown, reStructuredText, HTML, LaTeX (including rendering as plain
 PDF or beamer slide shows), ConTeXt, DocBook, OPML, OpenDocument, ODT,
 Word docx, RTF, MediaWiki, Textile, groff man pages, GNU Texinfo, plain
 text, Emacs Org-Mode, AsciiDoc, EPUB (v2 or v3), FictionBook2, and
 several kinds of HTML/javascript slide shows (S5, Slidy, Slideous,
 DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 definition lists, tables, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool.
 .
 PDF output via PDFLaTeX requires the package texlive-latex-recommended,
 via XeLaTeX it additionally requires texlive-xetex, and via LuaTeX
 additionally texlive-luatex.

Package: pandoc-data
Architecture: all
Depends: ${cdbs:Depends}
 , ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter - data files
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook,
 MediaWiki markup, Haddock markup, OPML, and Textile, and it can write
 markdown, reStructuredText, HTML, LaTeX (including rendering as plain
 PDF or beamer slide shows), ConTeXt, DocBook, OPML, OpenDocument, ODT,
 Word docx, RTF, MediaWiki, Textile, groff man pages, GNU Texinfo, plain
 text, Emacs Org-Mode, AsciiDoc, EPUB (v2 or v3), FictionBook2, and
 several kinds of HTML/javascript slide shows (S5, Slidy, Slideous,
 DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 definition lists, tables, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the data files for pandoc.

Package: libghc-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${cdbs:Depends}
 , ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - libraries
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook,
 MediaWiki markup, Haddock markup, OPML, and Textile, and it can write
 markdown, reStructuredText, HTML, LaTeX (including rendering as plain
 PDF or beamer slide shows), ConTeXt, DocBook, OPML, OpenDocument, ODT,
 Word docx, RTF, MediaWiki, Textile, groff man pages, GNU Texinfo, plain
 text, Emacs Org-Mode, AsciiDoc, EPUB (v2 or v3), FictionBook2, and
 several kinds of HTML/javascript slide shows (S5, Slidy, Slideous,
 DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 definition lists, tables, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: general markup converter - library documentation
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook,
 MediaWiki markup, Haddock markup, OPML, and Textile, and it can write
 markdown, reStructuredText, HTML, LaTeX (including rendering as plain
 PDF or beamer slide shows), ConTeXt, DocBook, OPML, OpenDocument, ODT,
 Word docx, RTF, MediaWiki, Textile, groff man pages, GNU Texinfo, plain
 text, Emacs Org-Mode, AsciiDoc, EPUB (v2 or v3), FictionBook2, and
 several kinds of HTML/javascript slide shows (S5, Slidy, Slideous,
 DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 definition lists, tables, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

Package: libghc-pandoc-prof
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - profiling libraries
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook,
 MediaWiki markup, Haddock markup, OPML, and Textile, and it can write
 markdown, reStructuredText, HTML, LaTeX (including rendering as plain
 PDF or beamer slide shows), ConTeXt, DocBook, OPML, OpenDocument, ODT,
 Word docx, RTF, MediaWiki, Textile, groff man pages, GNU Texinfo, plain
 text, Emacs Org-Mode, AsciiDoc, EPUB (v2 or v3), FictionBook2, and
 several kinds of HTML/javascript slide shows (S5, Slidy, Slideous,
 DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 definition lists, tables, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the profiling libraries for Pandoc.
